Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("CRM")> _
Public Class CRMResults 'CRM eredmények, amelyek egy adott feladathoz kapcsolódnak
    Inherits BaseObject
    Private _CRMTask As CRMTask
    Private _Description As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CRMTask() As CRMTask
        Get
            Return _CRMTask
        End Get
        Set(ByVal value As CRMTask)
            SetPropertyValue("CRMTask", _CRMTask, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class


